AbstractPropertiesHolder (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.service.model, class: AbstractPropertiesHolder

Package org.apache.cxf.service.model

# Class AbstractPropertiesHolder

java.lang.Object
org.apache.cxf.service.model.AbstractPropertiesHolder

All Implemented Interfaces:
  `Extensible`

Direct Known Subclasses:
  `AbstractDescriptionElement`, `AbstractMessageContainer`, `BindingFaultInfo`, `BindingMessageInfo`, `BindingOperationInfo`, `DescriptionInfo`, `MessagePartInfo`, `OperationInfo`, `SchemaInfo`

public abstract class AbstractPropertiesHolder extends Object implements Extensible

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractPropertiesHolder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addExtensionAttribute(QName name, Object attr)`
  `void`
  `addExtensor(Object el)`
  `boolean`
  `containsExtensor(Object el)`
  `protected static final boolean`
  `equals(Object o1, Object o2)`
  `String`
  `getDocumentation()`
  `Object`
  `getExtensionAttribute(QName name)`
  `Map<QName,Object>`
  `getExtensionAttributes()`
  `<T> T`
  `getExtensor(Class<T> cls)`
  `AtomicReference<Object[]>`
  `getExtensors()`
  `<T> List<T>`
  `getExtensors(Class<T> cls)`
  `Map<String,Object>`
  `getProperties()`
  `Object`
  `getProperty(String name)`
  `<T> T`
  `getProperty(String name, Class<T> cls)`
  `<T> T`
  `getTraversedExtensor(T defaultValue, Class<T> type)`
  Lookup a configuration value.
  `boolean`
  `hasProperty(String name)`
  `Object`
  `removeProperty(String name)`
  `final void`
  `setDelegate(AbstractPropertiesHolder p, boolean props)`
  `void`
  `setDocumentation(String s)`
  `void`
  `setExtensionAttributes(Map<QName,Object> attrs)`
  `void`
  `setProperty(String name, Object v)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractPropertiesHolder

    public AbstractPropertiesHolder()

- ## Method Details

  - ### setDelegate

    public final void setDelegate(AbstractPropertiesHolder p, boolean props)

  - ### getDocumentation

    public String getDocumentation()

  - ### setDocumentation

    public void setDocumentation(String s)

  - ### getProperties

    public Map<String,Object> getProperties()

  - ### getProperty

    public Object getProperty(String name)

  - ### removeProperty

    public Object removeProperty(String name)

  - ### getProperty

    public <T> T getProperty(String name, Class<T> cls)

  - ### hasProperty

    public boolean hasProperty(String name)

  - ### setProperty

    public void setProperty(String name, Object v)

  - ### containsExtensor

    public boolean containsExtensor(Object el)

  - ### addExtensor

    public void addExtensor(Object el)
    Specified by:
      `addExtensor` in interface `Extensible`

  - ### getExtensor

    public <T> T getExtensor(Class<T> cls)
    Specified by:
      `getExtensor` in interface `Extensible`

  - ### getExtensors

    public <T> List<T> getExtensors(Class<T> cls)
    Specified by:
      `getExtensors` in interface `Extensible`

  - ### getExtensors

    public AtomicReference<Object[]> getExtensors()

  - ### getExtensionAttribute

    public Object getExtensionAttribute(QName name)
    Specified by:
      `getExtensionAttribute` in interface `Extensible`

  - ### getExtensionAttributes

    public Map<QName,Object> getExtensionAttributes()
    Specified by:
      `getExtensionAttributes` in interface `Extensible`

  - ### addExtensionAttribute

    public void addExtensionAttribute(QName name, Object attr)
    Specified by:
      `addExtensionAttribute` in interface `Extensible`

  - ### setExtensionAttributes

    public void setExtensionAttributes(Map<QName,Object> attrs)
    Specified by:
      `setExtensionAttributes` in interface `Extensible`

  - ### getTraversedExtensor

    public <T> T getTraversedExtensor(T defaultValue, Class<T> type)
    Lookup a configuration value. This may be found in the properties holder supplied (i.e. an EndpointInfo or ServiceInfo), or it may be a property on the Bus itself. If no value is found, the defaultValue is returned.
    Parameters:
      `defaultValue` - the default value
      `type` - the extensor type
    Returns:
      the configuration value or the default

  - ### equals

    protected static final boolean equals(Object o1, Object o2)